/*
 *   Copyright (C) 2011-2012, Michael Anders, FH-Wedel
 *
 *  This file is part of the ECC-Implementation "Academic Signature"
 *  Maintainer: Michael Anders
 *
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef DECIPH_DIALOG_H
#define DECIPH_DIALOG_H

//(*Headers(deciph_dialog)
#include <wx/button.h>
#include <wx/checkbox.h>
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
//*)

#include "elliptic1.h"

class deciph_dialog: public wxDialog
{
	public:

		deciph_dialog(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~deciph_dialog();

		//(*Declarations(deciph_dialog)
		wxButton* Button1;
		wxButton* Button2;
		wxButton* Button3;
		wxButton* Button4;
		wxCheckBox* CheckBox1;
		wxStaticText* StaticText1;
		wxStaticText* StaticText2;
		wxStaticText* StaticText3;
		wxStaticText* StaticText4;
		wxStaticText* StaticText5;
		wxStaticText* StaticText6;
		wxTextCtrl* domnam_ctrl;
		wxTextCtrl* fnam_ctrl;
		wxTextCtrl* fullnam_ctrl;
		wxTextCtrl* pkyid_ctrl;
		//*)

	protected:

		//(*Identifiers(deciph_dialog)
		static const long ID_BUTTON3;
		static const long ID_STATICTEXT1;
		static const long ID_STATICTEXT2;
		static const long ID_TEXTCTRL1;
		static const long ID_BUTTON1;
		static const long ID_STATICTEXT3;
		static const long ID_BUTTON2;
		static const long ID_STATICTEXT5;
		static const long ID_STATICTEXT6;
		static const long ID_STATICTEXT4;
		static const long ID_TEXTCTRL2;
		static const long ID_TEXTCTRL3;
		static const long ID_TEXTCTRL4;
		static const long ID_CHECKBOX1;
		static const long ID_BUTTON4;
		//*)

	private:

		//(*Handlers(deciph_dialog)
		void OnClose(wxCommandEvent& event);
		void OnFileSelect(wxCommandEvent& event);
		void OnSelectPrivKeyFromStore(wxCommandEvent& event);
		void OnDoDecipher(wxCommandEvent& event);
		void OnDoDecipherNew(wxCommandEvent& event);
		//*)

		bool set_pars_from_file(wxString headfile);
		bool LoadPrivKey(wxString keyid);
		void DoDecipherCBC(wxString ciphnam);

		wxString fnam,kid,domnam,algo;
		e_p B;
		el_priv loky;
		ellipse locell;
		bool uncapped,pars_here;
		unsigned int dedhed;
		longnumber skey;
		bool verbose;

        void OnDropFile(wxDropFilesEvent& event);
        bool drop_succ;

		DECLARE_EVENT_TABLE()
};

#endif
